MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025373Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-14 20:072014-11-12 09:41
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025373: Visualization, AIS_MultipleConnectedInteractive - transformation persistence flags are ignored for connected objects
DescriptionWithin new design of connected interactive objects Transformation Persistence parameters specified to connected objects are just ignored.

We need to propose the way, how these flags are expected to be passed to connected objects.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024837closedbugmaster Visualization - revise design and implementation of connected Interactive Objects 

-  Notes
(0033087)
git (administrator)
2014-10-14 20:11

Branch CR25373 has been created by kgv.

SHA-1: 3d42babfe56fdc11d6f8a45991fa07ae077ce6ae


Detailed log of new commits:

Author: kgv
Date: Tue Oct 14 20:10:58 2014 +0400

    0025373: Visualization, AIS_MultipleConnectedInteractive - transformation persistence flags are ignored for connected objects
    
    Provide method AIS_MultipleConnectedInteractive::Connect() taking transformation persistence flags.
    Steal transformation persistence flags from original objects when called Connect() without extra arguments.
(0033088)
kgv (developer)
2014-10-14 20:11

Please comment on proposed solution in branch CR25373.
(0033138)
git (administrator)
2014-10-15 15:20

Branch CR25373_1 has been created by kgv.

SHA-1: 25f814be46a9b7d2e3c8b8e238254f21a21df4ea


Detailed log of new commits:

Author: kgv
Date: Wed Oct 15 15:20:26 2014 +0400

    0025373: Visualization, AIS_MultipleConnectedInteractive - transformation persistence flags are ignored for connected objects
    
    Provide method AIS_MultipleConnectedInteractive::Connect() taking transformation persistence flags.
    Copy transformation persistence flags from original objects when called Connect() without extra arguments.
(0033139)
kgv (developer)
2014-10-15 15:20

Please test patch in branch CR25373_1.
(0033279)
git (administrator)
2014-10-17 18:27

Branch CR25373_1 has been updated forcibly by apv.

SHA-1: 2cd805d07e6eb321e6193ef707a919a291e1fce7
(0033573)
apv (tester)
2014-10-22 16:47

Dear BugMaster,

Branch CR25373_1 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 2cd805d07e6eb321e6193ef707a919a291e1fce7

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 368995580 / 368944548
Total CPU difference: 47308.59000000019 / 44655.91000000001

Testing on Windows:
Total MEMORY difference: 255083076 / 252953496
Total CPU difference: 33865.921875 / 34935.15625
(0034274)
git (administrator)
2014-11-12 09:41

Branch CR25373 has been deleted by kgv.

SHA-1: 3d42babfe56fdc11d6f8a45991fa07ae077ce6ae
(0034275)
git (administrator)
2014-11-12 09:41

Branch CR25373_1 has been deleted by kgv.

SHA-1: 2cd805d07e6eb321e6193ef707a919a291e1fce7

- Related Changesets
occt: master ba9e14df
Timestamp: 2014-10-15 11:20:26
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025373: Visualization, AIS_MultipleConnectedInteractive - transformation persistence flags are ignored for connected objects

Provide method AIS_MultipleConnectedInteractive::Connect() taking transformation persistence flags.
Copy transformation persistence flags from original objects when called Connect() without extra arguments.
mod - src/AIS/AIS_MultipleConnectedInteractive.cdl Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-14 20:07 kgv New Issue
2014-10-14 20:07 kgv Assigned To => kgv
2014-10-14 20:07 kgv Relationship added child of 0024837
2014-10-14 20:11 git Note Added: 0033087
2014-10-14 20:11 kgv Note Added: 0033088
2014-10-14 20:11 kgv Assigned To kgv => san
2014-10-14 20:11 kgv Status new => feedback
2014-10-15 15:20 git Note Added: 0033138
2014-10-15 15:20 kgv Note Added: 0033139
2014-10-15 15:20 kgv Assigned To san => bugmaster
2014-10-15 15:20 kgv Status feedback => reviewed
2014-10-17 15:28 apv Assigned To bugmaster => apv
2014-10-17 18:27 git Note Added: 0033279
2014-10-22 14:08 apv Test case number => Not needed
2014-10-22 16:47 apv Note Added: 0033573
2014-10-22 16:47 apv Assigned To apv => bugmaster
2014-10-22 16:47 apv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master ba9e14df
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:41 git Note Added: 0034274
2014-11-12 09:41 git Note Added: 0034275


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker